<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('brands') }}</h1>
      </div>
    </div>
    <Header />
    <ol id="topicPath">
      <li style="margin-left: 280px">
        <a href="#"> {{ i18ntext.lngText('brands') }} </a>
      </li>
    </ol>
    <div class="search-box">
      <div id="product">
        <!--#contents -->
        <div class="search-box">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0; ">
              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                    <router-link to="/room_type">
                      <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                        <i class="fa fa-box-open"></i>
                        {{ i18ntext.lngText('room_type') }}
                      </a>
                    </router-link>
                  </li>
                  <li>
                  <router-link to="/room">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                    <!-- <i class="fa fa-box-open"></i> -->
                    <i class="fa fa-university" aria-hidden="true"></i>
                      {{ i18ntext.lngText('room') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/room_furniture">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                    <i class="fa fa-hourglass-half" aria-hidden="true"></i>
                      {{ i18ntext.lngText('room_furniture') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/booking_line">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                    <i class="fa fa-life-ring" aria-hidden="true"></i>
                      {{ i18ntext.lngText('booking_line') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/bookingone">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                 
                   <i class="fa fa-envelope" aria-hidden="true"></i>
                      {{ i18ntext.lngText('bookingone') }}
                    </a>
                  </router-link>
                </li>
                <li>
                <router-link to="/furniture">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                 
                    <i class="fa fa-bed" aria-hidden="true"></i>
                      {{ i18ntext.lngText('furniture') }}
                    </a>
                  </router-link>
                </li>
                <li>
                <router-link to="/room_price">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                 
                    <i class="fa fa-university" aria-hidden="true"></i>
                      {{ i18ntext.lngText('room_price') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/testserviceview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-vial"></i>
                      {{ i18ntext.lngText('service') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/groupService">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i> 
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                  margin-right: 0;width: 100%;">
                    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ i18ntext.lngText('stock-alert') }}
                  <span style="
                  background-color: red;
                  border-radius: 5px;
                  padding: 3px;
                  box-shadow: 1px 1px;
                  color: #333;">
                  {{ stockcount }} {{ i18ntext.lngText('item') }}
                </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                  margin-right: 0;width: 100%;">
                    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ i18ntext.lngText('expire-alert1') }}
                  <span style="
                  background-color: red;
                  border-radius: 5px;
                  padding: 3px;
                  box-shadow: 1px 1px;
                  color: #333;">
                  {{ count_expire }} {{ i18ntext.lngText('item') }}
                </span>
                </a>
              </router-link>
            </div>
            <div id="right">
              <MenuBrand />
            </div>
          </div>
          <div class="search-box-content">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tbl_search" id="hover-table">
              <tbody>
                <tr>
                  <th width="10%">
                    {{ i18ntext.lngText('brand_name') }}
                  </th>
                  <td width="50%">
                    <input @input="getBrand()" autocomplete="off" class="string_zen clear_text text input_text" type="text" style="width: 360px"
                      v-model="form.brand_name" required />
                    <p v-if="errors.brand_name" style="font-size: 10px; color: red">
                      <!-- {{ errors.brand_name[0] }} -->
                      {{ i18ntext.lngText('iname') }}
                    </p>
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('description') }}</th>
                  <td width="50%">
                    <input autocomplete="off" class="string_zen clear_text text input_text" type="text" style="width: 360px"
                      v-model="form.brand_name_2" @input="getBrand()"/>
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="search-box-footer">
              <div v-if="is_back == true" class="button type2" id="uniform-undefined" @click="btnCancel()">
                <span><input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                    style="opacity: 0; width: 54px" />
                  <i class="fa fa-arrow-left"></i>
                  {{ i18ntext.lngText('back') }}</span>
              </div>
              <div v-if="delete_search === 'Search'" class="button type2" id="uniform-undefined"
                @click="btnDeleteSearch()">
                <span><input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                    style="opacity: 0; width: 54px" />
                  <i v-if="delete_search == 'Search'" class="fa fa-search" aria-hidden="true"></i>
                  <i v-else class="fa fa-trash" aria-hidden="true"></i>

                  {{ i18ntext.lngText('search') }}
                </span>
              </div>

              <div v-else class="button type2" id="uniform-undefined" @click="btnDeleteSearch()">
                <span><input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                    style="opacity: 0; width: 54px" />
                  <i v-if="delete_search == 'Search'" class="fa fa-search" aria-hidden="true"></i>
                  <i v-else class="fa fa-trash" aria-hidden="true"></i>
                  {{ i18ntext.lngText('Delete') }}

                </span>
              </div>

              <div v-if="save_update === 'Save'" class="button type2" id="uniform-undefined" @click="btnSave">
                <span><input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                    style="opacity: 0; width: 54px" /><i class="fa fa-save" aria-hidden="true"></i>
                  {{ i18ntext.lngText('save') }}
                </span>
              </div>

              <div v-else class="button type2" id="uniform-undefined" @click="btnSave">
                <span><input autocomplete="off" type="button" class="type2" tabindex="10025" value="display"
                    style="opacity: 0; width: 54px" /><i class="fa fa-save" aria-hidden="true"></i>
                  {{ i18ntext.lngText('update') }}
                </span>
              </div>


              <span class="marker"></span>
            </div>
          </div>
        </div>

        <div class="box mt-4">
          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
            <thead>
              <tr class="header-table">
                <th width="3%">{{ i18ntext.lngText('no') }}</th>
                <th width="14%">{{ i18ntext.lngText('brand_name') }}</th>
                <th width="14%">{{ i18ntext.lngText('description') }}</th>
                <th width="5%"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(item, index) in items.data" :key="index">
                <td width="3%">{{ 15*(number - 1)  + (index + 1)}}</td>
                <td width="14%">{{ item.brand_name }}</td>
                <td width="14%">{{ item.brand_name_2 }}</td>
                <td width="5%" class="text-center">
                  <div @click="btnEdit(item)" class="button" id="uniform-undefined">
                    <span><i class="fa fa-edit"></i> {{ i18ntext.lngText('select') }}<input autocomplete="off" type="button"
                        data-bs-toggle="modal" data-bs-target="#staticBackdrop" tabindex="10028"
                        style="opacity: 0; width: 76px" /></span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>

          <div class="box-footer-pagination">
            <pagination :limit="2" :data="items" @pagination-change-page="getBrand" />
          </div>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>
<script setup>
import { ref, reactive, watch, computed, onMounted } from "vue";
import useBrand from "../../componentJS/Brand";
import pagination from "laravel-vue-pagination";
import Header from "../Header.vue";
import Logo from "../logo.vue";
import UserInfo from "../UserInfo.vue";
import Footer from "../footer.vue";
import MenuBrand from "./Menu_Brand.vue";
import Auth from "../../auth/Auth";
import i18n from "../../i18n/i18n";
const {
  errors,
  form,
  items,
  number,
  search,
  getBrand,
  deleteBrand,
  saveBrand,
  updateBrand,
} = useBrand();
const is_back = ref(false);
const save_update = ref("Save");
const delete_search = ref("Search");
const disabled = ref(true);
const btnValue1 = ref(false);
const btnValue2 = ref(false);
const i18ntext = i18n
window.Menu = "Brands";
const btnAdd = async () => {
  form.brand_name = "";
  form.brand_name_2 = "";
  form.inactived = "Yes";
  form.created_by = Auth.user.id;
  disabled.value = false;
  btnValue1.value = true;
  btnValue2.value = false;
};
const btnEdit = async (item) => {
  form.id = item.id;
  form.brand_name = item.brand_name;
  form.brand_name_2 = item.brand_name_2;
  form.inactived = item.inactived;
  disabled.value = true;
  btnValue2.value = true;
  btnValue1.value = false;
  delete_search.value = "Delete";
  save_update.value = "Update";
  is_back.value = true;
};
const btnSave = async () => {
  if (save_update.value == "Save") {
    form.created_by = Auth.user.user_code;
    if (form.brand_name == "") {
      saveBrand(form);
    } else {
      saveBrand(form);
      form.brand_name = "";
      form.brand_name_2 = "";
      getBrand();
    }
  }
  if (save_update.value == "Update") {
    form.updated_by = Auth.user.user_code;
    updateBrand(form.id, form);
    form.brand_name = "";
    form.brand_name_2 = "";
    form.inactived = "Yes";
    getBrand();
    save_update.value = "Save";
    delete_search.value = "Search";
    is_back.value = false;
  }
};
const btnDeleteSearch = () => {
  if (delete_search.value == "Search") {
    getBrand();
  } else {
    form.updated_by = Auth.user.user_code;
    deleteBrand(form.id);
    btnCancel();
    getBrand();
  }
};

const btnUpdate = async (x) => {
  updateBrand(x, form);
  getBrand();
};
const btnCancel = () => {
  save_update.value = "Save";
  delete_search.value = "Search";
  form.brand_code = "";
  form.brand_name = "";
  form.brand_name_2 = "";
  form.inactived = "";
  is_back.value = false;
};
</script>
<script>
export default {
  data() {
    return {
      stockcount:0,
      count_expire:0,

    };
  },
  watch: {},
  mounted() {
    this.getstockalert()
    this.getExpireAlert()

  },
  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
    },
    async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    // searchBrand(){
    //   axios.get('api/v1/brand/searchBrand/'+search)
    //         .then(res => {
    //           this.brands = res.data.data
    //         })
    // }

   
  },
};
</script>
